Module | ActiveSupport::CoreExtensions::Integer::EvenOdd
In: | lib/active_support/core_ext/integer/even_odd.rb

For checking if a fixnum is even or odd.

      2.even?  # => true
      2.odd?   # => false
      1.even?  # => false
      1.odd?   # => true
      0.even?  # => true
      0.odd?   # => false
      -1.even? # => false
      -1.odd?  # => true

### Methods

even? multiple_of? odd?

### Public Instance methods

even?()
multiple_of?(number)
odd?()

[Validate]